# Interface methods for submodule: MeanSquaresImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: MeanSquaresImageToImageMetric
class MeanSquaresImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValueAndDerivative(self, parameters, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

